package top.imwork.commons.core.utils;

import java.nio.charset.StandardCharsets;
import java.util.Base64;

/**
 * Copyright (C), 2015-2023
 * FileName: Base64Utils
 * Author<作者姓名>:   stars
 * CreateTime<创建时间>:   2023/4/26 22:27
 * UpdateTime<修改时间>:   2023/4/26 22:27
 * Description〈功能简述〉: Base64
 * History<历史描述>:
 * Since<版本号>: 1.0.0
 */
public class Base64Utils {
    private Base64Utils() {}

    //解码
    final static Base64.Decoder decoder = Base64.getDecoder();
    //加密
    final static Base64.Encoder encoder = Base64.getEncoder();

    /**
     * 加密
     *
     * @param text 要加密的文本
     * @return String 加密后的文本
     */
    public static String encoder(String text) {
        return encoder.encodeToString(text.getBytes(StandardCharsets.UTF_8));
    }

    /**
     * 解密
     *
     * @param text 要解密的文本
     * @return String 解密后的文本
     */
    public static String decoder(String text) {
        return new String(decoder.decode(text), StandardCharsets.UTF_8);
    }
}